commit e4268d2775c95e03e0d319cb937522bfb3bab61d
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 17 16:05:09 2012 +1000

    xf86-video-ast: bump to version 0.97.0
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 138d1ea01298aedbe414ecc48374e433d6960010
Author: Dave Airlie <airlied@gmail.com>
Date:   Fri Jul 13 14:33:47 2012 +1000

    ast: deal with XAA removal.
    
    This deals with the removal of XAA from the server, should
    fix tinderbox.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit eafaa2666fa43d6b06bec013feb254ea92759406
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Jul 2 12:01:46 2012 +0100

    ast: bump to 0.96.0 for release
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 1af03ed39b6692231544e5c7b8325fa8d70c728d
Author: Dave Airlie <airlied@redhat.com>
Date:   Wed Jun 6 12:00:14 2012 +0100

    ast: port to new compat API.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit f981caeb7ebf53fea9d8f852edea6605d44d975e
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu May 17 10:27:50 2012 +0100

    ast: don't bind to device if there is a loaded PCI driver.
    
    This stops this driver being used on top of the kernel modesetting
    driver, so fallback works correctly.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit c954c0874b8f776fae7a38cb2ac7f4a311f90980
Author: Y.C. Chen <yc_chen@aspeedtech.com>
Date:   Wed Apr 4 04:21:55 2012 +0800

    revert the code changed by Adam Jackson

commit dc971ee25afb462f871ba1fb93f3bc996540ef51
Author: Y.C. Chen <yc_chen@aspeedtech.com>
Date:   Tue Apr 3 18:00:50 2012 +0800

    fix segmentation fault issue if enable XEN

commit 7a455573ff292819be90e086fbc1198d05a04910
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Apr 3 10:01:53 2012 +0100

    Revert "xf86-video-ast-ast 0.95.00"
    
    This reverts commit 6f0b593c273979bc4a83e845e037ab35d4565b72.

commit aba57046a9a38698a718629f0fde9d9a8dcc9012
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Apr 3 10:01:44 2012 +0100

    Revert "xf86-video-ast-0.95.0"
    
    This reverts commit 20c578001a8024d3478a009c2b110056f0ddd1ca.

commit 20c578001a8024d3478a009c2b110056f0ddd1ca
Author: Y.C. Chen <yc_chen@aspeedtech.com>
Date:   Tue Apr 3 15:01:23 2012 +0800

    xf86-video-ast-0.95.0

commit 6f0b593c273979bc4a83e845e037ab35d4565b72
Author: root <root@localhost.localdomain>
Date:   Tue Apr 3 19:58:42 2012 +0800

    xf86-video-ast-ast 0.95.00

commit 18c8547d4afdeb87120e2af7c0563f76c27dcdfe
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Mar 23 18:40:42 2012 -0700

    xf86-video-ast 0.93.10
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d07efd4f80754d82540ebdaa7c2a062e68f229b9
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Dec 19 17:45:12 2011 -0500

    Fix for new vgaHW ABI
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit d5f706dc5a2b6665e2b57a547781f2b9364d4d83
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Dec 19 16:15:49 2011 -0500

    Make failure to XAA non-fatal
    
    No shadowfb support in this driver yet.
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 706f4931bfa8ade57b3fca119fd788fc9163dd43
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu Nov 17 15:51:42 2011 -0500

    Check ABI major not encoded ABI
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 4a7eda24050b42072c77d527257609e743e8dc78
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Nov 16 15:09:40 2011 -0500

    Adapt to domain changes in videoabi 12
    
    This is a blind change, I don't have this hardware handy to test with.
    It probably wants the same new API that tdfx wants.
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 59d994f46218b5909725ce690cd3fef089a88ba5
Author: root <root@localhost.localdomain>
Date:   Fri Jul 15 14:08:13 2011 +0800

    fixed bug #39235

commit 666abcb51ac69161a548055ee41274f2131551ca
Author: Y.C. Chen <yc_chen@aspeedtech.com>
Date:   Wed Jul 13 16:20:31 2011 +0800

    xf86-video-ast-0.93.09

commit acec72c6a52879752b080a4f0e644e70c6a2aded
Author: Y.C. Chen <yc_chen@aspeedtech.com>
Date:   Thu Nov 11 11:54:26 2010 +0800

    xf86-video-ast-v.0.92.02

commit 143f004a40ed0f95d9cbc30d38b829af00541f6c
Author: Y.C. Chen <yc_chen@aspeedtech.com>
Date:   Wed Nov 10 15:01:36 2010 +0800

    xf86-video-ast-0.92.02

commit b4466dad5d60c4a79b775c6e6de989563f7eac45
Author: Y.C. Chen <yc_chen@aspeedtech.com>
Date:   Wed Nov 10 14:08:55 2010 +0800

    xf86-video-ast-0.92.02

commit e387e54fd65b7db984975bf7a97cf30b5f1b9b9e
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Aug 10 10:44:18 2010 -0400

    xf86-video-ast 0.91.10
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 6196d848a0b12d7e8f7aae0374d53072c69546a6
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 16:49:04 2010 -0400

    config: add comments for main statements

commit f224e3227f889fb057b17b3358b486b24613bf44
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 16:07:00 2010 -0400

    config: replace deprecated use of AC_OUTPUT with AC_CONFIG_FILES
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 4064b3e502ee35cf352071dfdf4410af97f28d81
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 14:37:41 2010 -0400

    config: replace deprecated AC_HELP_STRING with AS_HELP_STRING
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 2ce1ffb14d25cf61964e79ec53ab0aa837190f9b
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 14:05:22 2010 -0400

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 2072a55edcf15b610383a48b1e542b1778b4add4
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 09:27:42 2010 -0400

    config: complete AC_INIT m4 quoting
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 2550adc89eedea904472a0106d4efa74d8664be7
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 21:44:57 2010 -0400

    config: remove unrequired AC_SUBST([XORG_CFLAGS])
    
    This macro is called by PKG_CHECK_MODULES
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 31fd1c66b5bfdc0f6e587d01c9f61d8177f45b49
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 20:24:42 2010 -0400

    config: remove unrequired AC_HEADER_STDC
    
    Autoconf says:
    "This macro is obsolescent, as current systems have conforming
    header files. New programs need not use this macro".
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 768c6328001df7d702dff693b5610f5cc01f810d
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 19:41:30 2010 -0400

    config: remove AC_PROG_CC as it overrides AC_PROG_C_C99
    
    XORG_STRICT_OPTION from XORG_DEFAULT_OPTIONS calls
    AC_PROG_C_C99. This sets gcc with -std=gnu99.
    If AC_PROG_CC macro is called afterwards, it resets CC to gcc.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 31f8ce97a5ca4ab590f948b5b441d131c328a990
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 18:45:18 2010 -0400

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 174def8f18f74094066884f422979d59d5ca2d39
Author: Y.C. Chen <yc_chen@aspeedtech.com>
Date:   Thu Jun 24 08:35:06 2010 +0800

    	modified:   autogen.sh

commit 9e8d8489922d8b647b28de06045e8fddf0ffc62f
Author: Y.C. Chen <yc_chen@aspeedtech.com>
Date:   Tue Jun 22 15:17:27 2010 +0800

    	modified:   autogen.sh
    	modified:   configure.ac
    	modified:   src/ast.h
    	modified:   src/ast_2dtool.c
    	modified:   src/ast_2dtool.h
    	modified:   src/ast_accel.c
    	modified:   src/ast_driver.c
    	modified:   src/ast_mode.c
    	modified:   src/ast_mode.h
    	modified:   src/ast_vgatool.c

commit 59995d0619afca6e88c1be08e01bfb60903c5099
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Dec 15 22:01:02 2009 -0500

    configure.ac: remove unused sdkdir=$(pkg-config...) statement
    
    The sdkdir variable isn't use, so remove the statement.
    
    Acked-by: Dan Nicholson <dbn.lists@gmail.com>
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 8a9c1ea2ec52dfd6d8da5ab29306f48a15f8ee28
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Nov 23 09:25:05 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit 7b23ba3c4cb6b0c02bf6cd9c64cbd840f2a41afd
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:41:41 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Automake 'foreign' option is specified in configure.ac.
    Remove from Makefile.am

commit 7ad5e7b0f5bba32446e255f831facea65ba6d68a
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:09 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit 2fbcad38348a1e24a6b281fe1614d35479fb3f80
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 12:54:21 2009 -0400

    Several driver modules do not have a ChangeLog target in Makefile.am #23814
    
    The git generated ChangeLog replaces the hand written one.
    Update configure.ac to xorg-macros level 1.3.
    Use XORG_DEFAULT_OPTIONS which replaces four XORG_* macros
    Update Makefile.am to add ChangeLog target if missing
    Remove ChangeLog from EXTRA_DIST or *CLEAN variables
    This is a pre-req for the INSTALL_CMD

commit 8dfdab81c3677f00a94a0582865d6759a46bf34b
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:58:35 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit 02de4573e84d9f042a69e059a730cecc66086fd4
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:16 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit 60bb936d949733823ab498ac90bdd4338869d8ca
Author: Matt Turner <mattst88@gmail.com>
Date:   Sat Nov 7 00:35:06 2009 -0500

    chmod +x autogen.sh
    
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit 882da603e0179a5f21879a3d3478b52e11daf438
Author: Matt Turner <mattst88@gmail.com>
Date:   Sat Nov 7 00:27:26 2009 -0500

    Use usleep instead of xf86UDelay
    
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit 059e58784cb41ed3c007386359488394557810dd
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu Jul 30 12:04:26 2009 +1000

    ast: bump for release 0.89.9

commit b5fabfc7f764c8d07c1d8a618e58ce73624d65ce
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 28 15:22:40 2009 +1000

    ast: change to using ABI version check

commit a314fd6a6c98519967e47fc89d53e040c9842dba
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 28 13:32:28 2009 +1000

    ast: update for resources/RAC API removal

commit d72f0faa2309cf411052f480e3da83af943eb7ac
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 28 10:16:30 2009 +1000

    ast: remove unneeded includes for RAC/resource

commit 2eb00170bfb9defe99a10dbfd4039952670fd099
Author: Y.C. Chen <yc_chen@aspeedtech.com>
Date:   Thu Jun 4 14:24:31 2009 +0800

    xf86-video-ast-v.0.89.8

commit e7e38d2ba0fcd6c1debbfd1062663a18f25f6266
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu May 28 14:47:16 2009 -0400

    Remove useless loader symbol lists.

commit ca0863e91cf7bdbd2f9c30aa1af5c9471dfc858e
Author: Y.C. Chen <yc_chen@aspeedtech.com>
Date:   Mon Apr 13 21:01:51 2009 +0800

    xf86-video-ast-0.89.0

commit da1387d472ce893f0c3466e59c9808db8e1025f0
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 30 20:37:20 2009 -0800

    Add README with pointers to mailing list, bugzilla & git repos

commit c61961e23d379b76921ce797fdfec377d2c1abea
Author: Y.C. Chen <yc_chen@aspeedtech.com>
Date:   Fri Jan 16 15:00:56 2009 +0800

    Fixed the support mode issue on Solaris 10 x86

commit 619ec11075571f80de2c4556e324e4c04555ec90
Author: Y.C. Chen <yc_chen@aspeedtech.com>
Date:   Thu Jan 8 17:08:06 2009 +0800

    Support AST2200/2150

commit 1ca09bad07528d32db406998e8b6176989f29216
Author: Y.C. Chen <yc_chen@aspeedtech.com>
Date:   Thu Jan 8 17:03:19 2009 +0800

    Support AST2200/2150

commit 241d411e770c36b725cc72c1cd5e52932a8cf460
Author: Y.C. Chen <yc_chen@aspeedtech.com>
Date:   Fri Aug 22 12:01:18 2008 +0800

    Support AST1100/2050/2100

commit 35f09b08456177f837df9b965cec1019ea8f6238
Author: Adam Jackson <ajax@redhat.com>
Date:   Fri Aug 15 13:59:33 2008 -0400

    Remove dead code.

commit 3aea1540c129c230d84ed8e55586dbfb3d179d33
Author: Y.C. Chen <yc_chen@aspeedtech.com>
Date:   Mon Jul 21 10:48:09 2008 +0800

    Fixed the incorrect settings of Graphics registers

commit e81e70ea3833f25dc5ec1def6257958e7c8ad0e8
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Mar 19 13:27:01 2008 -0400

    ast 0.85.0

commit 14d4fe8279369a2e6c55e3a139332e4c3945d95d
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Mar 19 13:21:59 2008 -0400

    Fix distcheck.

commit ad5b2148509600a7649127c5dc1a6442d86f7eb8
Author: Y.C. Chen <yc_chen@aspeedtech.com>
Date:   Tue Mar 18 19:00:38 2008 +0800

    compiler warning fixed

commit 33cc790b35f2ad19ea68867d6a089f7b827f8334
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Sun Mar 16 02:16:43 2008 -0300

    Compile warning fixes.
    
      Declare ulGetCMDQLength as static, and don't declare a variable if
    XSERVER_LIBPCIACCESS is defined.
    
      There is a lot of prototypes defined in some c files, that would be
    better to be moved to the appropriate header, to make sure definition
    matches prototype, but not done for now.
    
    Signed-off-by: Y.C. Chen <yc_chen@aspeedtech.com>

commit 88944bd72555056c10dfcf87eb1a98c9ecf704bc
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Mar 10 11:53:07 2008 +1000

    ast: pciaccess conversion

commit cbf726c635280ea79524e94d6e993ed29c647bd2
Author: root <root@localhost.localdomain>
Date:   Sat Mar 1 10:13:03 2008 +0800

    Make sure used symbols are of public visibility

commit d5b5a0e603e47dd3782c41685e75c6bd2d9e1016
Merge: 2d1b721 486380c
Author: James Cloos <cloos@jhcloos.com>
Date:   Mon Sep 3 06:06:32 2007 -0400

    Merge branch 'master' of ssh://git.freedesktop.org/git/xorg/driver/xf86-video-ast

commit 2d1b72187d14d7cc5a1b9ded7cd60b3fcbaebaae
Author: James Cloos <cloos@jhcloos.com>
Date:   Mon Sep 3 05:52:28 2007 -0400

    Add *~ to .gitignore to skip patch/emacs droppings

commit 486380cd85cdd2532300905ee588be48480ce1dc
Author: root <root@localhost.localdomain>
Date:   Fri Aug 24 21:13:39 2007 +0800

    	modified:   ChangeLog
    	modified:   configure.ac
    	modified:   src/ast.h
    	modified:   src/ast_2dtool.h
    	modified:   src/ast_accel.c
    	modified:   src/ast_cursor.c
    	modified:   src/ast_driver.c
    	modified:   src/ast_mode.c
    	modified:   src/ast_mode.h
    	modified:   src/ast_vgatool.c

commit 8bbdddf6025e1421e91ce12c509840822b395fb6
Author: James Cloos <cloos@jhcloos.com>
Date:   Thu Aug 23 19:25:44 2007 -0400

    Rename .cvsignore to .gitignore

commit 40771362cd94a0e89181b47bcfca7e06ec4127ad
Author: Brice Goglin <bgoglin@debian.org>
Date:   Tue Aug 7 10:20:51 2007 +0200

    Define AST_*_VERSION* using PACKAGE_VERSION_*

commit b3367f4162a7ea295fec2dd424a83861c340cdb8
Author: yc_chen <yc_chen>
Date:   Mon Apr 17 03:27:40 2006 +0000

    Fixed can't get correct MCLK in some platforms

commit 3bc1deb6a84d5ad1ff47b2efe89ed15d68e5822a
Author: Adam Jackson <ajax@nwnk.net>
Date:   Fri Apr 7 22:25:23 2006 +0000

    Unlibcwrap. Bump server version requirement. Bump to 0.81.0.

commit efba7f83ef225df8a0eaee660cb9bba19fd775c0
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Wed Mar 15 21:05:45 2006 +0000

    Update from ASPEED Technology Inc. to fix incorrect line drawing issue and
        change driver name from "AST1000/2000" to "AST" to fix Xorg log
        formatting issues with long driver names. Bugzilla #4937
        <https://bugs.freedesktop.org/show_bug.cgi?id=4937> Attachment #4948
        <https://bugs.freedesktop.org/attachment.cgi?id=4948>

commit 245466d4ef8ea4012242a3fa21a217e767f4eac4
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Wed Mar 15 00:43:18 2006 +0000

    Add the normal trappings of the Xorg modular build system.
    Replace "Xv.h" with <X11/extensions/Xv.h> and add #include "config.h" for
        modular build Strip ^M out of ast_accel.c

commit 24d5661d2c703582e44ce140d0eb7251433e1ad0
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Tue Mar 14 23:51:52 2006 +0000

    Version 0.80 from ASPEED Technology Inc. (Fixed get video buffer size
        incorrect issue) Bugzilla #4937
        <https://bugs.freedesktop.org/show_bug.cgi?id=4937> Attachment #4932
        <https://bugs.freedesktop.org/attachment.cgi?id=4932>

commit 4e31187407a6dfe53a9d15f06c8c4584e20125ba
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Tue Mar 14 23:36:18 2006 +0000

    Version 0.62 from ASPEED Technology Inc. (Fixed get video buffer size
        incorrect issue) Bugzilla #4937
        <https://bugs.freedesktop.org/show_bug.cgi?id=4937> Attachment #4563
        <https://bugs.freedesktop.org/attachment.cgi?id=4563>

commit 7c713fb0da9c5c0c5c4e727ff4c801ec0e6e4a83
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Tue Mar 14 23:28:47 2006 +0000

    Version 0.61 from ASPEED Technology Inc. (Update for Xorg 6.9.0 - Can't
        reference XAACOPYROP) Bugzilla #4937
        <https://bugs.freedesktop.org/show_bug.cgi?id=4937> Attachment #4044
        <https://bugs.freedesktop.org/attachment.cgi?id=4245>

commit 784ff02611fdf4adeced1bd156fbb7e6ed63df22
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Tue Mar 14 23:23:36 2006 +0000

    Version 0.60 from ASPEED Technology Inc. (Modify H/W cursor parts for
        customer request) Bugzilla #4937
        <https://bugs.freedesktop.org/show_bug.cgi?id=4937> Attachment #4044
        <https://bugs.freedesktop.org/attachment.cgi?id=4044>

commit 7ce3a2ba6d211aeaa19a6841935bc50205788d62
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Tue Mar 14 23:18:18 2006 +0000

    Initial code release from ASPEED Technology Inc. Bugzilla #4937
        <https://bugs.freedesktop.org/show_bug.cgi?id=4937> Attachment 3686
        <https://bugs.freedesktop.org/attachment.cgi?id=3686>
